### Method

# Ide Grid get_current_page

#### Declaration

    IdePage*
    ide_grid_get_current_page (
      IdeGrid* self
    )

#### Description

Gets the most recent page used by the user as determined by tracking the window focus.

Available since: | 3.32

Gets property | `Ide.Grid:current-page`

#### Return value

Returns: | `IdePage`
| An `IdePage` or `NULL`.
| The data is owned by the instance.